> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.jambonz.org/reference/rest-platform-management/accounts/list-accounts/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server. # list accounts GET https://api.jambonz.cloud/v1/Accounts Reference: https://docs.jambonz.org/reference/rest-platform-management/accounts/list-accounts ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Response ### 200 list of accounts - `list of Account` ## Errors ### 500 Internal Server Error system error - `msg` (string, required) ## Types ### Account - `account_sid` (string, required) - `name` (string, required) - `service_provider_sid` (string, required) - `sip_realm` (string, optional) - `registration_hook` (Webhook, optional) — authentication webhook for registration - `device_calling_application_sid` (string, optional) - `record_all_calls` (boolean, optional) - `record_format` (enum, optional) - Allowed values: `wav`, `mp3` - `bucket_credential` (AccountBucketCredential, optional) — Credentials for recording storage ### Webhook - `url` (string, required) - `webhook_sid` (string, optional) - `method` (enum, optional) - Allowed values: `get`, `post` - `username` (string, optional) - `password` (string, optional) ### AccountBucketCredential Credentials for recording storage - `vendor` (enum, optional) - Allowed values: `aws_s3`, `s3_compatible`, `azure`, `google` - `region` (string, optional) - `name` (string, optional) — name of the bucket - `access_key_id` (string, optional) - `secret_access_key` (string, optional) ## Examples **Request** ```json {} ``` **Response** ```json [ { "account_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "Acme Corporation", "service_provider_sid": "1c9e6679-7425-40de-944b-e07fc1f90ae7", "sip_realm": "sip.acme.com", "registration_hook": { "url": "https://auth.acme.com/registration", "method": "get" }, "device_calling_application_sid": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "record_all_calls": true, "record_format": "wav", "bucket_credential": { "vendor": "aws_s3", "region": "us-west-2", "name": "acme-call-recordings", "access_key_id": "AKIAIOSFODNN7EXAMPLE", "secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY" } } ] ``` **SDK Code** ```python import requests url = "https://api.jambonz.cloud/v1/Accounts" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.jambonz.cloud/v1/Accounts'; const options = { method: 'GET', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.jambonz.cloud/v1/Accounts" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.jambonz.cloud/v1/Accounts") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.jambonz.cloud/v1/Accounts") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.jambonz.cloud/v1/Accounts', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.jambonz.cloud/v1/Accounts"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/Accounts")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```